import { world, system, EntityDamageCause} from "@minecraft/server";

const skill = {
    name: 'movement',
    display_name: "Movement",
    registry_name: "movement",
    description: 'movement ability',
    learn(player) {
      console.warn(world.scoreboard.getObjective(this.name).addScore(player, 1))
      world.scoreboard.getObjective(this.name).addScore(player, 1)
    },
    addLevel(player, levels) {
      world.scoreboard.getObjective(this.name).addScore(player, levels)
    }
}

export default skill